Revoke an OAuth client connection
DELETE
/connections/oauth/{client_id}
const url = 'https://api.engram.page/connections/oauth/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.engram.page/connections/oauth/example \ --header 'Authorization: Bearer <token>'Revokes the refresh tokens for an OAuth client family (e.g. an MCP client) so it can no longer mint access tokens. Pass vault_id to scope the revoke to a single vault; omit it to revoke the client across all vaults. Session-auth only.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”client_id
required
string
OAuth client id
Query Parameters
Section titled “Query Parameters”vault_id
string
Scope revoke to one vault
Responses
Section titled “Responses”Revoked (empty body)
No such connection
Media typeapplication/json
MessageError
object
error
required
string
Example
{ "error": "not found"}